Skip to content

Number Settings

All operations require authentication.

46 operationsv1/telephony/aliases · /telephony/{billingAccount}
Agent setup

List numbersProduction

GET
/1.0/telephony/aliases

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/aliases \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a number serviceProduction

GET
/1.0/telephony/aliases/{serviceName}

Path parameters

serviceName
required
string

Your line number

Response

200TelephonyGenericServiceWithIAMsuccessful operation
iam
read-only
ResourceMetadata

IAM resource metadata

serviceName
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/aliases/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string"}

Change service contactsProduction

POST
/1.0/telephony/aliases/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

Your line number

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/aliases/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get service informationProduction

GET
/1.0/telephony/aliases/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

Your line number

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/aliases/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/telephony/aliases/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

Your line number

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/aliases/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Check for special numbersProduction

GET
/1.0/telephony/{billingAccount}/hasSpecialNumbers

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200booleansuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/hasSpecialNumbers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List numbersProduction

GET
/1.0/telephony/{billingAccount}/number

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a numberProduction

GET
/1.0/telephony/{billingAccount}/number/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Response

200Numbersuccessful operation
description
string

Description of the service

featureType
read-only
TypeEnum

Feature enabled on the number

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
partOfPool
read-only
string

Parent of the service (if it is part of a pool)

serviceName
read-only
string

Name of the service

serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "featureType": "aiAgent", "partOfPool": "string", "serviceName": "string", "serviceType": "alias"}

Update a numberProduction

PUT
/1.0/telephony/{billingAccount}/number/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Request body (required)

description
string

Description of the service

featureType
read-only
TypeEnum

Feature enabled on the number

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
partOfPool
read-only
string

Parent of the service (if it is part of a pool)

serviceName
read-only
string

Name of the service

serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel a scheduled conversion to lineProduction

POST
/1.0/telephony/{billingAccount}/number/{serviceName}/cancelConvertToLine

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number/{serviceName}/cancelConvertToLine \
  -H "authorization: Bearer $OVH_TOKEN"

Change the number feature typeProduction

POST
/1.0/telephony/{billingAccount}/number/{serviceName}/changeFeatureType

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Request body (required)

featureType
required
TypeEnum

The new feature of the number

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number/{serviceName}/changeFeatureType \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Schedule a conversion to lineProduction

POST
/1.0/telephony/{billingAccount}/number/{serviceName}/convertToLine

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Request body (required)

offer
required
string

The future offer of the converted number

Response

200OfferTasksuccessful operation
action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number/{serviceName}/convertToLine \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}

List line offers for conversionProduction

GET
/1.0/telephony/{billingAccount}/number/{serviceName}/convertToLineAvailableOffers

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Response

200LineOffersAndContractssuccessful operation
contracts
Contract[]

Informations related to a line contracts

offers
LineOffer[]

Informations related to a line offer

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/number/{serviceName}/convertToLineAvailableOffers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "offers": [ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } } ]}

List premium rate numbersProduction

GET
/1.0/telephony/{billingAccount}/rsva

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a premium rate numberProduction

GET
/1.0/telephony/{billingAccount}/rsva/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Rsvasuccessful operation
serviceName
read-only
string
—
typology
SpecialNumberCategoryEnum

Special number category

ValuesaccessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationship

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string", "typology": "access"}

Update a premium rate numberProduction

PUT
/1.0/telephony/{billingAccount}/rsva/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

serviceName
read-only
string
—
typology
SpecialNumberCategoryEnum

Special number category

ValuesaccessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationship

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List allowed rate codesProduction

GET
/1.0/telephony/{billingAccount}/rsva/{serviceName}/allowedRateCodes

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200RateCodeInformation[]successful operation
code
string

The Rsva rate code

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price per minute

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName}/allowedRateCodes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "code": "string", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 } }]

Cancel the scheduled rate codeProduction

POST
/1.0/telephony/{billingAccount}/rsva/{serviceName}/cancelScheduledRateCode

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName}/cancelScheduledRateCode \
  -H "authorization: Bearer $OVH_TOKEN"

Get the current rate codeProduction

GET
/1.0/telephony/{billingAccount}/rsva/{serviceName}/currentRateCode

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DetailedRateCodeInformationsuccessful operation
cancelLimitDatetime
stringdate-time

Cancelable datetime deadline for the new scheduled rateCode

effectiveDatetime
stringdate-time

Effective datetime

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price in minute

rateCode
string

Scheduled rate code

repaymentPricePerCallWithoutTax
Price

Repayment per call

repaymentPricePerMinuteWithoutTax
Price

Repayment per minute

updateRateCodePriceWithoutTax
Price

Fees concerning rateCode update

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName}/currentRateCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}

Schedule a rate codeProduction

POST
/1.0/telephony/{billingAccount}/rsva/{serviceName}/scheduleRateCode

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

rateCode
required
string

The specified rate code

Response

200DetailedRateCodeInformationsuccessful operation
cancelLimitDatetime
stringdate-time

Cancelable datetime deadline for the new scheduled rateCode

effectiveDatetime
stringdate-time

Effective datetime

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price in minute

rateCode
string

Scheduled rate code

repaymentPricePerCallWithoutTax
Price

Repayment per call

repaymentPricePerMinuteWithoutTax
Price

Repayment per minute

updateRateCodePriceWithoutTax
Price

Fees concerning rateCode update

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName}/scheduleRateCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}

Get the scheduled rate codeProduction

GET
/1.0/telephony/{billingAccount}/rsva/{serviceName}/scheduledRateCode

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DetailedRateCodeInformationsuccessful operation
cancelLimitDatetime
stringdate-time

Cancelable datetime deadline for the new scheduled rateCode

effectiveDatetime
stringdate-time

Effective datetime

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price in minute

rateCode
string

Scheduled rate code

repaymentPricePerCallWithoutTax
Price

Repayment per call

repaymentPricePerMinuteWithoutTax
Price

Repayment per minute

updateRateCodePriceWithoutTax
Price

Fees concerning rateCode update

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/rsva/{serviceName}/scheduledRateCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}

List schedulersProduction

GET
/1.0/telephony/{billingAccount}/scheduler

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a schedulerProduction

GET
/1.0/telephony/{billingAccount}/scheduler/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Schedulersuccessful operation
serviceName
read-only
string
—
timeZone
timeZone

Time zones available for scheduled events time definitions

ValuesEurope/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/Zurich

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string", "timeZone": "Europe/Berlin"}

Update a schedulerProduction

PUT
/1.0/telephony/{billingAccount}/scheduler/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

serviceName
read-only
string
—
timeZone
timeZone

Time zones available for scheduled events time definitions

ValuesEurope/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/Zurich

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List scheduler eventsProduction

GET
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

categories
SchedulerCategoryEnum

Filter the value of categories property (=)

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd.from
stringdate-time

Filter the value of dateEnd property (>=)

dateEnd.to
stringdate-time

Filter the value of dateEnd property (<=)

dateStart.from
stringdate-time

Filter the value of dateStart property (>=)

dateStart.to
stringdate-time

Filter the value of dateStart property (<=)

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a scheduler eventProduction

GET
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Response

200SchedulerEventsuccessful operation
categories
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
stringdate-time

The ending date of the event

dateStart
stringdate-time

The beginning date of the event

description
string
—
title
string
—
uid
read-only
string

The unique ICS event identifier

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}

Create a scheduler eventProduction

POST
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

category
required
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
required
stringdate-time

The ending date of the event

dateStart
required
stringdate-time

The beginning date of the event

description
string

The descritpion of the event

title
required
string

The title of the event

uid
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a scheduler eventProduction

DELETE
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a scheduler eventProduction

PUT
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Request body (required)

categories
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
stringdate-time

The ending date of the event

dateStart
stringdate-time

The beginning date of the event

description
string
—
title
string
—
uid
read-only
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"

Import an ICS calendarProduction

POST
/1.0/telephony/{billingAccount}/scheduler/{serviceName}/importIcsCalendar

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

url
required
string

The URL of your ICS formated calendar

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/scheduler/{serviceName}/importIcsCalendar \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List call filtering servicesProduction

GET
/1.0/telephony/{billingAccount}/screen

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get call filtering settingsProduction

GET
/1.0/telephony/{billingAccount}/screen/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Screensuccessful operation
incomingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
outgoingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
serviceName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}

Update call filtering settingsProduction

PUT
/1.0/telephony/{billingAccount}/screen/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

incomingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
outgoingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
serviceName
read-only
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List filtering rulesProduction

GET
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a filtering ruleProduction

GET
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200ScreenListsuccessful operation
callNumber
read-only
string
—
id
read-only
integer
—
nature
read-only
ScreenListNatureEnum

Nature of screen list

Valuesfaxinternationalservicesspecialvoicemail
status
read-only
string
—
type
read-only
ScreenListTypeEnum

Type of screen list

ValuesincomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteList

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}

Create a filtering ruleProduction

POST
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

callNumber
string

The callNumber of the generic screen list

nature
required
ScreenListNatureEnum

The nature of the generic screen list

Valuesfaxinternationalservicesspecialvoicemail
type
required
ScreenListTypeEnum

The type of the generic screen list

ValuesincomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteList

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a filtering ruleProduction

DELETE
/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

List time condition servicesProduction

GET
/1.0/telephony/{billingAccount}/timeCondition

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a time condition serviceProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200GenericScreensuccessful operation
serviceName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string"}

List time conditionsProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a time conditionProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200TimeConditionsuccessful operation
day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}

Create a time conditionProduction

POST
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

day
required
TimeConditionsDayEnum

The day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
required
string

The hour where the time condition begins (format : hhmm)

hourEnd
required
string

The hour where the time condition ends (format : hhmm)

policy
required
TimeConditionsPolicyEnum

The policy

Valuesavailableslot1slot2slot3

Response

200TimeConditionsuccessful operation
day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}

Delete a time conditionProduction

DELETE
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a time conditionProduction

PUT
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get time condition optionsProduction

GET
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200TimeConditionOptionssuccessful operation
slot1Number
string

Number associated to the first slot action

slot1Type
TimeConditionsSlotTypeEnum

Action type executed when the first slot is used

Valuesnumbervoicemail
slot2Number
string

Number associated to the second slot action

slot2Type
TimeConditionsSlotTypeEnum

Action type executed when the second slot is used

Valuesnumbervoicemail
slot3Number
string

Number associated to the third slot action

slot3Type
TimeConditionsSlotTypeEnum

Action type executed when the third slot is used

Valuesnumbervoicemail
status
TimeConditionsGlobalStatusEnum

Status of time conditions

Valuesdeleteddisabledenabled
timeout
TimeConditionsTimeoutEnum

Timeout value of the time condition

Values51015202530354045505560657075808590
unavailableNumber
string

Number associated to the unavailable slot action

unavailableType
TimeConditionsSlotTypeEnum

Action type executed when the unavailable slot is used

Valuesnumbervoicemail

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}

Update time condition optionsProduction

PUT
/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

slot1Number
string

Number associated to the first slot action

slot1Type
TimeConditionsSlotTypeEnum

Action type executed when the first slot is used

Valuesnumbervoicemail
slot2Number
string

Number associated to the second slot action

slot2Type
TimeConditionsSlotTypeEnum

Action type executed when the second slot is used

Valuesnumbervoicemail
slot3Number
string

Number associated to the third slot action

slot3Type
TimeConditionsSlotTypeEnum

Action type executed when the third slot is used

Valuesnumbervoicemail
status
TimeConditionsGlobalStatusEnum

Status of time conditions

Valuesdeleteddisabledenabled
timeout
TimeConditionsTimeoutEnum

Timeout value of the time condition

Values51015202530354045505560657075808590
unavailableNumber
string

Number associated to the unavailable slot action

unavailableType
TimeConditionsSlotTypeEnum

Action type executed when the unavailable slot is used

Valuesnumbervoicemail

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/timeCondition/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"